Description

I see that by default we don't initialize size value to (0, 0):

    Size_() {}

    Size_(T cx, T cy) : cx(cx), cy(cy) {}

I believe the first constructor should look like this

    Size_() : cx(static_cat<T>(0), static_cast<T>(0)) {}

    Size_(T cx, T cy) : cx(cx), cy(cy) {}

And what I need is to make sure that:

Size size;

if (size.IsEmpty()) {

  // Should be empty by default.

}

History

#1 - 06/04/2017 08:38 PM - Miroslav Fidler

Well, this is how it is designed. Same thing is true for 'int' or 'double'. These classes are meant to be the same.

It even have some perfomance impacts, albeit small, e.g.

Size x

1000

;

is slower when default constructor does something.

#2 - 06/04/2017 08:39 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#3 - 06/17/2017 10:30 PM - Zbigniew Rebacz

- Status changed from New to Rejected

05/16/2025 1/2

#fn1000


OK - I will reject this issue. For the next time I will need to remember that by defaults it initialized with random values.
